Skip to main content
POST
/
v1
/
sdk
/
products
/
{productRef}
/
clone
Clone a product
curl --request POST \
  --url https://api.example.com/v1/sdk/products/{productRef}/clone
{
  "balance": 0,
  "createdAt": "<string>",
  "id": "507f1f77bcf86cd799439011",
  "isMcpPay": false,
  "name": "AI Writing Assistant",
  "reference": "prd_1A2B3C4D",
  "status": "active",
  "totalTransactions": 0,
  "updatedAt": "<string>",
  "config": {
    "deliveryMethod": "api",
    "fulfillmentType": "digital",
    "validityPeriod": 30
  },
  "description": "<string>",
  "imageUrl": "<string>",
  "metadata": {},
  "plans": [
    {
      "createdAt": "<string>",
      "currency": "USD",
      "id": "507f1f77bcf86cd799439011",
      "isActive": true,
      "isFreeTier": false,
      "price": 29.99,
      "reference": "pln_1A2B3C4D",
      "requiresPayment": true,
      "status": "active",
      "updatedAt": "<string>",
      "billingCycle": "monthly",
      "billingModel": "pre-paid",
      "currencySymbol": "$",
      "features": {},
      "freeUnits": 1000,
      "limit": 10000,
      "limits": {},
      "meterId": "507f1f77bcf86cd799439011",
      "pricePerUnit": 0.01
    }
  ],
  "productType": "<string>"
}

Path Parameters

productRef
string
required

Product reference or ID to clone

Response

Product cloned successfully

balance
number
required

Product balance in cents

Example:

0

createdAt
string
required

Creation timestamp

id
string
required

Product ID

Example:

"507f1f77bcf86cd799439011"

isMcpPay
boolean
required

Whether this product uses MCP Pay proxy

Example:

false

name
string
required

Product name

Example:

"AI Writing Assistant"

reference
string
required

Product reference

Example:

"prd_1A2B3C4D"

status
string
required

Product status

Example:

"active"

totalTransactions
number
required

Total number of transactions

Example:

0

updatedAt
string
required

Last update timestamp

config
object

Product-specific configuration

description
string

Product description

imageUrl
string

URL to the product image

metadata
object

Arbitrary key-value metadata

plans
object[]

Plans associated with this product

productType
string

Free-form product type